# SoTransformerManip Class Reference
[Manipulators]

`#include <Inventor/manips/SoTransformerManip.h>`

Inheritance diagram for SoTransformerManip:

List of all members.

## Detailed Description

The SoTransformerManip wraps an SoTransformerDragger for convenience.

The manipulator class takes care of wrapping up the SoTransformerDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for it's interaction with the relevant fields of an SoTransformation node.

## Public Member Functions

| SoTransformerManip (void)
SbBool | isLocateHighlighting (void)
void | setLocateHighlighting (SbBool onoff)
void | unsquishKnobs (void)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

| ~SoTransformerManip ()

## Constructor & Destructor Documentation

SoTransformerManip::SoTransformerManip | ( | void |  | ) |

| Default constructor. Allocates an SoTransformerDragger and an SoSurroundScale node to surround the geometry within our part of the scenegraph.

SoTransformerManip::~SoTransformerManip | ( |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void SoTransformerManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

SbBool SoTransformerManip::isLocateHighlighting | ( | void |  | ) |

| Convenience function to use the SoTransformerDragger::isLocateHighlighting() method of the embedded dragger. See documentation of that method.

void SoTransformerManip::setLocateHighlighting | ( | SbBool | onoff | ) |

| Convenience function to use the SoTransformerDragger::setLocateHighlighting() method of the embedded dragger. See documentation of that method.

void SoTransformerManip::unsquishKnobs | ( | void |  | ) |

| Convenience function to use the SoTransformerDragger::unsquishKnobs() method of the embedded dragger. See documentation of that method.

The documentation for this class was generated from the following files:

- SoTransformerManip.h
- SoTransformerManip.cpp